#!/bin/sh
#
# find dynamic (share library) dependencies for a binary
# courtesy of Benjamin "blindcoder" Schieder
#
export rootdir=""

export libdirs="${rootdir}/lib `sed -e"s,^\(.*\),${rootdir}\1," ${rootdir}/etc/ld.so.conf | tr '\n' ' '`"

for x in $*
do
	readelf -d $x 2>/dev/null | grep "(NEEDED)" |
		sed -e"s,.*Shared library: \[\(.*\)\],\1," |
		while read library ; do
			find $libdirs -maxdepth 1 -name "$library" |
			sed -e "s,^$rootdir,,g"
		done
done
